#region Copyright Syncfusion Inc. 2001 - 2017
// Copyright Syncfusion Inc. 2001 - 2017. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Caliburn.Micro;
using System.ComponentModel.Composition;
using DockingAdapterMVVM;
using System.Windows.Controls;
using System.Windows.Input;
using Syncfusion.Windows.Shared;

namespace DockingManagerMVVMCaliburnMicro
{
    [Export(typeof(DockingAdapterViewModel))]
    public class DockingAdapterViewModel : PropertyChangedBase
    {
        private ObservableCollection<Workspace> dockingadapter;

        public ObservableCollection<Workspace> DockingAdapter
        {
            get { return dockingadapter; }
            set { dockingadapter = value; }
        }

      private ICommand _docactivate;
      public ICommand DocActivate
      {
         get { return _docactivate; }
         set
         {
            _docactivate = value;
            NotifyOfPropertyChange(() => this.DocActivate);
         }
      }

      public DockingAdapterViewModel()
      {
           DockingAdapter = new ObservableCollection<Workspace>();
           MainWindowXAMLViewModel mainwindowxaml = new MainWindowXAMLViewModel() { Header = "MainWindow.xaml", State = DockState.Document };
           MainWindowCSViewModel mainwindowcs = new MainWindowCSViewModel() { Header = "MainWindow.xaml.cs", State = DockState.Document };
           DockingAdapter.Add(mainwindowxaml);
           DockingAdapter.Add(mainwindowcs);
      }

   
      public Syncfusion.Windows.Tools.Controls.DockingManager AdapterDockingManager { get; set; }

      public void DockingManagerLoaded(DockingAdapterViewModel model)
      {
         AdapterDockingManager = (((App.Current.MainWindow as ShellView).Docking.Content as DockingAdapterView).DockingAdapter.Content as Grid).Children[0] as Syncfusion.Windows.Tools.Controls.DockingManager;
         AdapterDockingManager.UseDocumentContainer = true;

      }
   }
}
